Уязвимость в гипервизоре KVM

В поставляемом в составе ядра Linux гипервизоре KVM выявлена уязвимость (CVE-2018-10853), позволяющая непривилегированному пользователю гостевой системы выполнить код с правами ядра в данной гостевой системе.

Проблема вызвана ошибкой в коде эмуляции инструкций sgdt/sidt/fxsave/fxrstor, в котором не выполнялась проверка текущего уровня привилегий, что давало возможность выполнения данных инструкций обычным пользователем для повышения полномочий внутри гостевой системы. Проблема проявляется начиная с ядра 4.10. Патч с исправлением уже принят в состав ядра Linux. Обновления пакетов выпущены для Debian, SUSE, openSUSE, Ubuntu и Fedora. Ядра из состава RHEL проблеме не подвержены.

Дополнительно можно упомянуть недавно выявленную уязвимость (CVE-2018-14619) в криптоподсистеме ядра, которая потенциально позволяет локальному атакующему выполнить свой код с правами ядра Linux. Тем не менее, уязвимость не представляет реальной опасности, так как около 8 месяцев назад была устранена как ошибка и только сейчас стало ясно, что эта проблема представляла угрозу безопасности (уязвимость всплыла после автоматизированного тестирования на наличие use-after-free уязвимостей в старых ядрах).

Уязвимость присутствовала в ядре 4.14 и была устранена в обновлении 4.14.8, т.е. в основном ядре просуществовала с 12 ноября по 20 декабря 2017 года. Тем не менее, короткое время уязвимость присутствовала в одном из пакетов с ядром для Fedora Linux и в пакете kernel-alt из состава RHEL для архитектур ARM64, IBM POWER9 (little endian) и IBM z.

Источник.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Этот сайт использует Akismet для борьбы со спамом. Узнайте как обрабатываются ваши данные комментариев.